Download Consumer Profile CFPB letter
curl --request GET \
--url https://api.creditor.younegotiate.com/manage-consumers/{consumer}/e-letters/{consumerELetter}/cfpb-letter \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/manage-consumers/{consumer}/e-letters/{consumerELetter}/cfpb-letter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/manage-consumers/{consumer}/e-letters/{consumerELetter}/cfpb-letter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>"
}Download Consumer Profile CFPB letter
Generate and download the CFPB collection letter PDF for a CFPB template EcoLetter History row. Normal EcoLetter rows must use the preview endpoint instead.
GET
/
manage-consumers
/
{consumer}
/
e-letters
/
{consumerELetter}
/
cfpb-letter
Download Consumer Profile CFPB letter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Consumer EcoLetter row ID from the EcoLetter History list response.
Response
CFPB PDF downloaded.
The response is of type file.
Last modified on July 20, 2026
Was this page helpful?
⌘I

